Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.renderkit.html.images
Class OneColorBasedResource

    java.lang.Object
      javax.faces.application.Resource
          org.richfaces.resource.AbstractBaseResource
              org.richfaces.resource.AbstractCacheableResource
                  org.ajax4jsf.resource.Java2Dresource
                      org.richfaces.renderkit.html.images.OneColorBasedResource

All Implemented Interfaces:
  org.richfaces.resource.CacheableResource, org.richfaces.resource.StateHolderResource

Direct Known Subclasses:
  InputErrorIcon

    public abstract class OneColorBasedResource

extends Java2Dresource

Field Summary

Fields inherited from class org.richfaces.resource.AbstractBaseResource
`URL_PROTOCOL`

Fields inherited from class javax.faces.application.Resource
`COMPONENT_RESOURCE_KEY`

Constructor Summary
`OneColorBasedResource(int width, int height, java.lang.String basicColorParamName)`

Method Summary
`java.awt.Color` | `getBasicColor()` Gets value of basicColor field.
`boolean` | `isCacheable(org.ajax4jsf.resource.ResourceContext ctx)`

Methods inherited from class org.ajax4jsf.resource.Java2Dresource
`decodeColor, encodeSkinParameter, getColorValueParameter, getContentType, getDimension, getHeight, getInputStream, getValueParameter, isTransient, paint, readState, writeState`

Methods inherited from class org.richfaces.resource.AbstractCacheableResource
`addCacheControlResponseHeaders, getEntityTag, getExpires, getTimeToLive, isCacheable, isMatchesEntityTag, isMatchesEntityTag, isMatchesLastModified, isMatchesLastModified, setCacheable, userAgentNeedsUpdate`

Methods inherited from class org.richfaces.resource.AbstractBaseResource
`addNoCacheResponseHeaders, getClassLoader, getContentLength, getLastModified, getRequestPath, getResponseHeaders, getURL`

Methods inherited from class javax.faces.application.Resource
`getLibraryName, getResourceName, setContentType, setLibraryName, setResourceName, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### OneColorBasedResource

    public OneColorBasedResource(int width,
                                 int height,
                                 java.lang.String basicColorParamName)

Method Detail

### isCacheable

    public boolean isCacheable(org.ajax4jsf.resource.ResourceContext ctx)

  See Also:
    `Java2Dresource#isCacheable(ResourceContext)`

### getBasicColor

    public java.awt.Color getBasicColor()

  Gets value of basicColor field.

  Returns:
    value of basicColor field

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 JBoss, a division of Red Hat, Inc.. All Rights Reserved.